package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

// TODO: UPDATE IMPLEMENTATION
public class Wizard extends Player {
    private static final int WizardHp = 40;
    private static final int Wizardmp = 20 ;
    public Wizard(String name , Weapon weapon , Armor armor )
    {
        super(name , WizardHp , Wizardmp ,weapon ,armor);

    }

    @Override
    public void specialAttack(Entity target) {
        target.takeDamage(5);
        setHp(getHp()+10);
        if (getHp() > WizardHp) {
          setHp(WizardHp);

    }

    // TODO: DESIGN KNIGHT'S WEAPON AND ARMOR AND IMPLEMENT THE CONSTRUCTOR
}

    @Override
    public boolean ISLive() {
        return false;
    }
}